# Class default

- Defined in src/test/utils/mocks/mockLoader.ts:4

#####
Index

### Constructors

constructor

### Properties

cacheManager

### Methods

atlas
audio
image
isLoading
once
setBaseURL
spritesheet
start
video

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockLoader.ts:6

## Properties

### cacheManager

cacheManager: any

- Defined in src/test/utils/mocks/mockLoader.ts:5

## Methods

### atlas

- atlas(key, textureUrl, atlasUrl): void

- #### Parameters

  - key: any
  - textureUrl: any
  - atlasUrl: any

  #### Returns void

  - Defined in src/test/utils/mocks/mockLoader.ts:40

### audio

- audio(key, url): void

- #### Parameters

  - key: any
  - url: any

  #### Returns void

  - Defined in src/test/utils/mocks/mockLoader.ts:25

### image

- image(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mockLoader.ts:36

### isLoading

- isLoading(): boolean

- #### Returns boolean

  - Defined in src/test/utils/mocks/mockLoader.ts:29

### once

- once(event, callback): void

- #### Parameters

  - event: any
  - callback: any

  #### Returns void

  - Defined in src/test/utils/mocks/mockLoader.ts:10

### setBaseURL

- setBaseURL(url): any

- #### Parameters

  - url: any

  #### Returns any

  - Defined in src/test/utils/mocks/mockLoader.ts:14

### spritesheet

- spritesheet(key, url, frameConfig): void

- #### Parameters

  - key: any
  - url: any
  - frameConfig: any

  #### Returns void

  - Defined in src/test/utils/mocks/mockLoader.ts:22

### start

- start(): void

- #### Returns void

  - Defined in src/test/utils/mocks/mockLoader.ts:33

### video

- video(): any

- #### Returns any

  - Defined in src/test/utils/mocks/mockLoader.ts:18